# SPDX-FileCopyrightText: Copyright (c) 2024-2025 NVIDIA CORPORATION & AFFILIATES.
# SPDX-FileCopyrightText: All rights reserved.
# SPDX-License-Identifier: Apache-2.0
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

import warnings

from .arco import ARCO
from .base import DataSource, ForecastSource
from .cds import CDS
from .const import Constant, Constant_FX
from .gefs import GEFS_FX, GEFS_FX_721x1440
from .gfs import GFS, GFS_FX
from .hrrr import HRRR, HRRR_FX
from .ifs import IFS
from .imerg import IMERG
from .ncar import NCAR_ERA5
from .rand import Random, Random_FX
from .rx import CosineSolarZenith, LandSeaMask, SurfaceGeoPotential
from .utils import datasource_to_file, fetch_data, prep_data_array
from .wb2 import WB2ERA5, WB2Climatology, WB2ERA5_32x64, WB2ERA5_121x240
from .xr import DataArrayDirectory, DataArrayFile, DataSetFile

# TODO: Remove upon physics-nemo update...
# package turned on logging of warnings in 1.1.0, this is silencing them
warnings.filterwarnings("ignore")
warnings.filterwarnings("ignore", category=SyntaxWarning)
warnings.filterwarnings("ignore", category=DeprecationWarning)
warnings.filterwarnings("ignore", category=FutureWarning)
